document.addEventListener('DOMContentLoaded', function () {
  const chatMessages = document.getElementById('chat-messages');
  const chatInput = document.getElementById('chat-input');
  const sendBtn = document.getElementById('send-btn');
  const captionToggle = document.getElementById('caption-toggle');

  sendBtn.addEventListener('click', function () {
    const message = chatInput.value.trim();
    if (message) {
      addMessage('user', message);
      chatInput.value = '';
      simulateAIResponse(message);
    }
  });

  chatInput.addEventListener('keypress', function (e) {
    if (e.key === 'Enter') {
      sendBtn.click();
    }
  });

  function addMessage(sender, message) {
    const messageElement = document.createElement('div');
    messageElement.classList.add('message', sender);
    messageElement.textContent = message;
    chatMessages.appendChild(messageElement);
    chatMessages.scrollTop = chatMessages.scrollHeight;
  }

  function simulateAIResponse(userMessage) {
    setTimeout(() => {
      const aiMessage = `AI: Thank you for your message: "${userMessage}". How can I assist you further?`;
      addMessage('ai', aiMessage);
    }, 1000);
  }

  captionToggle.addEventListener('change', function () {
    chatMessages.classList.toggle('show-captions', captionToggle.checked);
  });
});